Page MenuHomeFreeBSD

New port: audio/libmusicxml: Library and tools for the MusicXML format
ClosedPublic

Authored by yuri on Nov 1 2017, 8:41 AM.

Details

Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221861

The upstream doesn't make releases for a while. The version number 3.11 is from the shared library name.

MusicXML standard is the most widely used way to represent music notation. It is supported by several hundred software titles.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

audio/libmusicxml/Makefile
16 ↗(On Diff #34588)

would be nice to ask upstream to create tags on releases so that you do not have to guesstimate which commit to use.

audio/libmusicxml/pkg-plist
50 ↗(On Diff #34588)

This is not needed.

yuri marked an inline comment as done.Nov 2 2017, 2:52 PM
yuri added inline comments.
audio/libmusicxml/Makefile
16 ↗(On Diff #34588)

I asked them in the bug on github.

dbaio added inline comments.
audio/libmusicxml/Makefile
10 ↗(On Diff #34588)

LICENSE must not contain MPL, instead use MPL[10|11|20].
MPL20 in this case.

yuri marked an inline comment as done.
yuri edited the summary of this revision. (Show Details)

Fixed the license.

yuri marked an inline comment as done.Nov 2 2017, 7:57 PM
yuri marked an inline comment as done.Nov 6 2017, 9:58 PM

This seems to be missing the

  • pkg-descr
  • distinfo

files

Added missing files in patch.

yuri marked an inline comment as done.Nov 9 2017, 8:00 AM
audio/libmusicxml/Makefile
13 ↗(On Diff #34977)

^ cmake:outsource

24 ↗(On Diff #34977)

think about adding a patch instead of this -- you can for example use ${CMAKE_INSTALL_PREFIX} in the CMakeLists.txt.

This revision is now accepted and ready to land.Nov 11 2017, 8:34 AM
This revision was automatically updated to reflect the committed changes.